* [gentoo-commits] repo/gentoo:master commit in: media-libs/urt/, media-libs/urt/files/
@ 2025-01-01 14:22 Viorel Munteanu
0 siblings, 0 replies; 2+ messages in thread
From: Viorel Munteanu @ 2025-01-01 14:22 UTC (permalink / raw
To: gentoo-commits
commit: e6c81699b2292a66f2bf716c97dc6fa0af8c34b4
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 1 12:56:15 2025 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Wed Jan 1 14:22:46 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6c81699
media-libs/urt: add 3.2_rc1_p20250101
Switch to new upstream.
Closes: https://bugs.gentoo.org/881213
Closes: https://bugs.gentoo.org/920362
Closes: https://bugs.gentoo.org/944453
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
media-libs/urt/Manifest | 1 +
.../urt-3.2_rc1_p20250101-respect-ldflags.patch | 11 +++
media-libs/urt/metadata.xml | 3 +
media-libs/urt/urt-3.2_rc1_p20250101.ebuild | 86 ++++++++++++++++++++++
4 files changed, 101 insertions(+)
diff --git a/media-libs/urt/Manifest b/media-libs/urt/Manifest
index 313af4d3c8ea..7cad775a200e 100644
--- a/media-libs/urt/Manifest
+++ b/media-libs/urt/Manifest
@@ -1 +1,2 @@
DIST urt-3.1b.tar.Z 1016405 BLAKE2B 68742773591e2ae28702efb4286939c4000d32edd93110548abc25ab62bfa85e36354f20de6aa74c805ea1c4c8dfa23219c9e6fb08e1c73d90d2625404583aa1 SHA512 6c9070cd106f1d696d22f862cc1c4e10325fafc7bae51e8bb1fb98f6bf8babe21a133e21b3acc0c11cf1b28a23123c8ee7bb064c9d86301b14a1c217fbe1a12d
+DIST urt-3.2_rc1_p20250101.tar.gz 1079866 BLAKE2B 519760a11b10d1cad1d2f9ba6b0de3918000ad9a6fa0a3edbf0382d8bdf99248aa12e89aec09bbe134db0138f8eb1326bad06a9c6ad581766b5f45bee3152989 SHA512 347fabddc2ff14f9313d2ed2ad7902b0fdc2108e1cb0d472f4040c2ab42c171360be390833359d813ad03bf4ea94537fe481a1bd5facfd9b72b2178622771e66
diff --git a/media-libs/urt/files/urt-3.2_rc1_p20250101-respect-ldflags.patch b/media-libs/urt/files/urt-3.2_rc1_p20250101-respect-ldflags.patch
new file mode 100644
index 000000000000..94cf20e2a414
--- /dev/null
+++ b/media-libs/urt/files/urt-3.2_rc1_p20250101-respect-ldflags.patch
@@ -0,0 +1,11 @@
+--- a/get/getx11/makefile.src
++++ b/get/getx11/makefile.src
+@@ -50,7 +50,7 @@
+
+ # getx11 - read RLE file to X11 display
+ getx11.out: $(X_O_FILES)
+- ${CC} $(CFLAGS) $(X_O_FILES) -o getx11.new $(LIBS)
++ ${CC} $(CFLAGS) $(X_O_FILES) -o getx11.new $(LDFLAGS) $(LIBS)
+ mv getx11.new getx11.out
+
+ # Make prototypes.h and fn_decls.h. Only happens if HAVE_CPROTO is defined.
diff --git a/media-libs/urt/metadata.xml b/media-libs/urt/metadata.xml
index 0962f154ba65..93be572a5696 100644
--- a/media-libs/urt/metadata.xml
+++ b/media-libs/urt/metadata.xml
@@ -5,4 +5,7 @@
<use>
<flag name="tools">Install tools</flag>
</use>
+ <upstream>
+ <remote-id type="github">sarnold/urt</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/media-libs/urt/urt-3.2_rc1_p20250101.ebuild b/media-libs/urt/urt-3.2_rc1_p20250101.ebuild
new file mode 100644
index 000000000000..34def1b52af3
--- /dev/null
+++ b/media-libs/urt/urt-3.2_rc1_p20250101.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo flag-o-matic toolchain-funcs
+
+COMMIT_ID=e5a6997b9d494f3010b2c32b1e3f0660ec7991ac
+DESCRIPTION="the Utah Raster Toolkit is a library for dealing with raster images"
+HOMEPAGE="https://sarnold.github.io/urt/ https://github.com/sarnold/urt"
+SRC_URI="https://github.com/sarnold/urt/archive/${COMMIT_ID}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT_ID}"
+
+LICENSE="GPL-2 gif? ( free-noncomm )"
+SLOT="0/3.1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris"
+IUSE="gif postscript static-libs tiff tools X"
+
+RDEPEND="
+ gif? ( media-libs/giflib )
+ postscript? ( app-text/ghostscript-gpl )
+ tiff? ( media-libs/tiff:= )
+ X? ( x11-libs/libXext )
+"
+
+DEPEND="
+ ${RDEPEND}
+ X? ( x11-base/xorg-proto )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-respect-ldflags.patch
+)
+
+urt_config() {
+ use $1 && echo "#define $2" || echo "##define $2"
+}
+
+src_prepare() {
+ rm bin/README || die
+
+ default
+}
+
+src_configure() {
+ append-cflags -fPIC
+
+ sed -i -e '/^CFLAGS/s: -O2 : :' makefile.hdr || die
+
+ cat >> config/gentoo <<-EOF
+ $(urt_config X X11)
+ $(urt_config gif GIF)
+ $(urt_config postscript POSTSCRIPT)
+ $(urt_config tiff TIFF)
+ ExtraCFLAGS = ${CFLAGS}
+ MFLAGS = ${MAKEOPTS}
+ EOF
+
+ edob -m "Configuring" ./Configure config/gentoo
+}
+
+src_compile() {
+ tc-export AR RANLIB
+
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ mkdir -p man-dest/man{1,3,5}
+ # this just installs it into some local dirs
+ emake install
+
+ use tools && dobin bin/*
+
+ use static-libs && dolib.a lib/librle.a
+
+ dolib.so lib/librle.so
+ dolib.so lib/librle.so.3
+ dolib.so lib/librle.so.3.1.0
+ dosym librle.so /usr/$(get_libdir)/librle-0.0.0.so
+
+ insinto /usr/include
+ doins include/rle*.h
+ doman man-dest/man?/*.[135]
+ dodoc *-changes CHANGES* README* blurb
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-libs/urt/, media-libs/urt/files/
@ 2025-01-01 19:09 Viorel Munteanu
0 siblings, 0 replies; 2+ messages in thread
From: Viorel Munteanu @ 2025-01-01 19:09 UTC (permalink / raw
To: gentoo-commits
commit: 22eb6fcb7fc7eedb71b9f8dc7d3f43071960a854
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 1 19:06:13 2025 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Wed Jan 1 19:09:52 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22eb6fcb
media-libs/urt: fix build with -native-symlinks
Closes: https://bugs.gentoo.org/947316
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
.../urt/files/urt-3.2_rc1_p20250101-ar.patch | 41 ++++++++++++++++++++++
media-libs/urt/urt-3.2_rc1_p20250101.ebuild | 5 ++-
2 files changed, 43 insertions(+), 3 deletions(-)
diff --git a/media-libs/urt/files/urt-3.2_rc1_p20250101-ar.patch b/media-libs/urt/files/urt-3.2_rc1_p20250101-ar.patch
new file mode 100644
index 000000000000..1740530cf1c4
--- /dev/null
+++ b/media-libs/urt/files/urt-3.2_rc1_p20250101-ar.patch
@@ -0,0 +1,41 @@
+https://bugs.gentoo.org/947316
+
+--- a/lib/makefile.src
++++ b/lib/makefile.src
+@@ -50,8 +50,8 @@
+ echo cp $(LIBNAME) $(DEST)/ ; \
+ cp $(LIBNAME)* $(DEST)/ ; \
+ if test x$(RANLIB) != x ; then \
+- echo ranlib $(DEST)/$(STATIC) ; \
+- ranlib $(DEST)/$(STATIC) ; \
++ echo $(RANLIB) $(DEST)/$(STATIC) ; \
++ $(RANLIB) $(DEST)/$(STATIC) ; \
+ else \
+ true ; \
+ fi ; \
+@@ -60,11 +60,11 @@
+ cp $(LIBNAME)* $(DEST)/debug/ ; \
+ if test x$(RANLIB) != x ; then \
+ cp $(LIBNAME) $(DEST)/debug/$(STATIC) ; \
+- echo ranlib $(DEST)/debug/$(STATIC) ; \
++ echo $(RANLIB) $(DEST)/debug/$(STATIC) ; \
+ else \
+ true ; \
+ fi ; \
+- ranlib $(DEST)/debug/$(STATIC) ; \
++ $(RANLIB) $(DEST)/debug/$(STATIC) ; \
+ else \
+ true ; \
+ fi ; \
+@@ -82,9 +82,9 @@
+ touch buildshared
+
+ buildlib: $(OBJS)
+- ar rcs $(STATIC) $(OBJS)
++ $(AR) rcs $(STATIC) $(OBJS)
+ #ifndef NO_RANLIB
+- ranlib $(STATIC)
++ $(RANLIB) $(STATIC)
+ #endif
+ touch buildlib
+
diff --git a/media-libs/urt/urt-3.2_rc1_p20250101.ebuild b/media-libs/urt/urt-3.2_rc1_p20250101.ebuild
index 34def1b52af3..ace5d4c90998 100644
--- a/media-libs/urt/urt-3.2_rc1_p20250101.ebuild
+++ b/media-libs/urt/urt-3.2_rc1_p20250101.ebuild
@@ -30,6 +30,7 @@ DEPEND="
PATCHES=(
"${FILESDIR}"/${P}-respect-ldflags.patch
+ "${FILESDIR}"/${P}-ar.patch
)
urt_config() {
@@ -60,9 +61,7 @@ src_configure() {
}
src_compile() {
- tc-export AR RANLIB
-
- emake CC="$(tc-getCC)"
+ emake CC="$(tc-getCC)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)"
}
src_install() {
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2025-01-01 19:10 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-01 14:22 [gentoo-commits] repo/gentoo:master commit in: media-libs/urt/, media-libs/urt/files/ Viorel Munteanu
-- strict thread matches above, loose matches on Subject: below --
2025-01-01 19:09 Viorel Munteanu
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox